Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class IPRange

    java.lang.Object
      com.amazonaws.services.rds.model.IPRange

    public class IPRange

extends Object

Constructor Summary
`IPRange()`

Method Summary
`String` | `getCIDRIP()` Specifies the IP range.
`String` | `getStatus()` Specifies the status of the IP range.
`void` | `setCIDRIP(String cIDRIP)` Specifies the IP range.
`void` | `setStatus(String status)` Specifies the status of the IP range.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`IPRange` | `withCIDRIP(String cIDRIP)` Specifies the IP range.
`IPRange` | `withStatus(String status)` Specifies the status of the IP range.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IPRange

    public IPRange()

Method Detail

### getStatus

    public String getStatus()

  Specifies the status of the IP range.

  Returns:
    Specifies the status of the IP range.

### setStatus

    public void setStatus(String status)

  Specifies the status of the IP range.

  Parameters:
    `status` - Specifies the status of the IP range.

### withStatus

    public IPRange withStatus(String status)

  Specifies the status of the IP range.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `status` - Specifies the status of the IP range.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCIDRIP

    public String getCIDRIP()

  Specifies the IP range.

  Returns:
    Specifies the IP range.

### setCIDRIP

    public void setCIDRIP(String cIDRIP)

  Specifies the IP range.

  Parameters:
    `cIDRIP` - Specifies the IP range.

### withCIDRIP

    public IPRange withCIDRIP(String cIDRIP)

  Specifies the IP range.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cIDRIP` - Specifies the IP range.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.